program DefaultPropertyOverrideTest;

type
  IBaseData = interface
    function GetData: Byte;
    property Data: Byte read GetData;
  end;

  IBaseDefaultPropertyInterface = interface
    function GetBaseData(Index: Integer): IBaseData;
    procedure SetBaseData(Index: Integer; const Value: IBaseData);
    property Items[Index: Integer]: IBaseData read GetBaseData write SetBaseData; default;
  end;

  IData = interface
    function GetData: Byte;
    procedure SetData(const Value: Byte);
    property Data: Byte read GetData write SetData;
  end;

  IDefaultPropertyInterface = interface(IBaseDefaultPropertyInterface)
    function GetData(Index: Integer): IData;
    procedure SetData(Index: Integer; const Value: IData);
    property Items[Index: Integer]: IData read GetData write SetData; default;
  end;

var
  ADefaultPropertyInterface: IDefaultPropertyInterface;
begin
  ADefaultPropertyInterface[0].Data := 0;
end.
