[Options]
EnforcePrefixOnUnreferecend=F
[NamingConventions]
LocalVariables=v[A-Z].*
GlobalVariables=g[A-Z].*
Constants=[A-Z]+
ClassFields=F[A-Z].*
ClassTypes=T[A-Z].*
InterfaceTypes=I[A-Z].*
RecordTypes=T[A-Z].*
ObjectTypes=T[A-Z].*
PointerTypes=P[A-Z].*
RoutineNames=[A-Z].*
ConstParameters=a[A-Z].*
VarParameters=a[A-Z].*
Parameters=
Properties=[A-Z].*
GetRoutines=Get[A-Z].*
SetRoutines=Set[A-Z].*
[IndentationConventions]
SpacesPerIndent=2
IndentBeforeBegin=F
IndentBeforeTry=F
IndentBeforeElseInTryBlock=F
IndentBeforeElseInCaseBlock=F
NeverIndentElseIf=F
IndentComments=T
IndentDirectives=F
[Prefixes]
mm[A-Z].+=TMainMenu
pm[A-Z].+=TPopupMenu
mmi[A-Z].+=TMainMenuItem
pmi[A-Z].+=TPopupMenuItem
lbl[A-Z].+=TLabel
edt[A-Z].+=TEdit
mem[A-Z].+=TMemo
btn[A-Z].+=TButton
chk[A-Z].+=TCheckBox
rb[A-Z].+=TRadioButton
lb[A-Z].+=TListBox
cb[A-Z].+=TComboBox
scb[A-Z].+=TScrollBar
gb[A-Z].+=TGroupBox
rg[A-Z].+=TRadioGroup
pnl[A-Z].+=TPanel
cl[A-Z].+=TCommandList
bbtn[A-Z].+=TBitBtn
sb[A-Z].+=TSpeedButton
me[A-Z].+=TMaskEdit
sg[A-Z].+=TStringGrid
dg[A-Z].+=TDrawGrid
img[A-Z].+=TImage
shp[A-Z].+=TShape
bvl[A-Z].+=TBevel
sbx[A-Z].+=TScrollBox
clb[A-Z].+=TCoolBar
spl[A-Z].+=TSplitter
stx[A-Z].+=TStaticText
cht[A-Z].+=TChart
tbc[A-Z].+=TTabControl
pgc[A-Z].+=TPageControl
il[A-Z].+=TImageList
re[A-Z].+=TRichEdit
tbr[A-Z].+=TTrackBar
prb[A-Z].+=TProgressBar
ud[A-Z].+=TUpDown
hk[A-Z].+=THotKey
ani[A-Z].+=TAnimate
dtp[A-Z].+=TDateTimePicker
tv[A-Z].+=TTreeView
lv[A-Z].+=TListView
hdr[A-Z].+=THeader
stb[A-Z].+=TStatusBar
tlb[A-Z].+=TToolBar
tm[A-Z].+=TTimer
pb[A-Z].+=TPaintBox
mp[A-Z].+=TMediaPlayer
olec[A-Z].+=TOleContainer
ddcc[A-Z].+=TDDEClientConv
ddci[A-Z].+=TDDEClientItem
ddsc[A-Z].+=TDDEServerConv
ddsi[A-Z].+=TDDEServerItem
csk[A-Z].+=TClientSocket
ssk[A-Z].+=TServerSocket
wbd[A-Z].+=TWebDispatcher
pp[A-Z].+=TPageProducer
tp[A-Z].+=TQueryTableProducer
dstp[A-Z].+=TDataSetTableProducer
nmdt[A-Z].+=TNMDayTime
nec[A-Z].+=TNMEcho
nf[A-Z].+=TNMFinger
nftp[A-Z].+=TNMFtp
nhttp[A-Z].+=TNMHttp
nMsg[A-Z].+=TNMMSGServ
nntp[A-Z].+=TNMNNTP
npop[A-Z].+=TNMPop3
nuup[A-Z].+=TNMUUProcessor
smtp[A-Z].+=TNMSMTP
nst[A-Z].+=TNMStrm
nsts[A-Z].+=TNMStrmServ
ntm[A-Z].+=TNMTime
nudp[A-Z].+=TNMUdp
psk[A-Z].+=TPowerSock
ngs[A-Z].+=TNMGeneralServer
html[A-Z].+=THtml
url[A-Z].+=TNMUrl
sml[A-Z].+=TSimpleMail
ds[A-Z].+=TDataSource
tbl[A-Z].+=TTable
qry[A-Z].+=TQuery
sp[A-Z].+=TStoredProc
db[A-Z].+=TDataBase
ssn[A-Z].+=TSession
bm[A-Z].+=TBatchMove
usql[A-Z].+=TUpdateSQL
dbg[A-Z].+=TDBGrid
dbn[A-Z].+=TDBNavigator
dbt[A-Z].+=TDBText
dbe[A-Z].+=TDBEdit
dbm[A-Z].+=TDBMemo
dbi[A-Z].+=TDBImage
dblb[A-Z].+=TDBListBox
dbcb[A-Z].+=TDBComboBox
dbch[A-Z].+=TDBChart
dbrg[A-Z].+=TDBRadioGroup
dbll[A-Z].+=TDBLookupList
dblc[A-Z].+=TDBLookupCombo
dbre[A-Z].+=TDBRichEdit
dbcg[A-Z].+=TDBCtrlGrid
dcb[A-Z].+=TDriveComboBox
dcq[A-Z].+=TDecisionQuery
dcs[A-Z].+=TDecisionSource
dcp[A-Z].+=TDecisionPivot
dcg[A-Z].+=TDecisionGrid
dcgr[A-Z].+=TDecisionGraph
qr[A-Z].+=TQuickReport
qrsd[A-Z].+=TQRSubDetail
qrb[A-Z].+=TQRBand
qrcb[A-Z].+=TQRChildBand
qrg[A-Z].+=TQRGroup
qrl[A-Z].+=TQRLabel
qrt[A-Z].+=TQRText
qre[A-Z].+=TQRExpr
qrs[A-Z].+=TQRSysData
qrm[A-Z].+=TQRMemo
qrrt[A-Z].+=TQRRichText
qrdr[A-Z].+=TQRDBRichText
qrsh[A-Z].+=TQRShape
qri[A-Z].+=TQRImage
qrdi[A-Z].+=TQRDBMImage
qrcr[A-Z].+=TQRCompositeReport
qrp[A-Z].+=TQRPreview
qrch[A-Z].+=TQRChart
ofd[A-Z].+=TOpenDialog
sfd[A-Z].+=TSaveDialog
opd[A-Z].+=TOpenPictureDialog
spd[A-Z].+=TSavePictureDialog
fntd[A-Z].+=TFontDialog
clrd[A-Z].+=TColorDialog
prtd[A-Z].+=TPrintDialog
prsd[A-Z].+=TPrintSetupDialog
fndd[A-Z].+=TFindDialog
rpld[A-Z].+=TReplaceDialog
ts[A-Z].+=TTabSet
ol[A-Z].+=TOutline
tnb[A-Z].+=TTabbedNoteBook
nb[A-Z].+=TNoteBook
flb[A-Z].+=TFileListBox
dlb[A-Z].+=TDirectoryListBox
fcb[A-Z].+=TFilterComboBox
gg[A-Z].+=TGauge
cg[A-Z].+=TColorGrid
spb[A-Z].+=TSpinButton
spe[A-Z].+=TSpinEdit
dol[A-Z].+=TDirectoryOutline
cal[A-Z].+=TCalendar
ibea[A-Z].+=TIBEventAlerter
cfx[A-Z].+=TChartFX
vsp[A-Z].+=TVSSpell
f1b[A-Z].+=TF1Book
vtc[A-Z].+=TVTChart
grp[A-Z].+=TGraph
prv[A-Z].+=TProvider
cds[A-Z].+=TClientDataSet
qcds[A-Z].+=TQueryClientDataSet
dcom[A-Z].+=TDCOMConnection
olee[A-Z].+=TOleEnterpriseConnection
sck[A-Z].+=TSocketConnection
rms[A-Z].+=TRemoteServer
mid[A-Z].+=TMidasConnection
